#pragma once
#include <map>
struct M_game_level_configData
{
	//ID
	int64_t mID;
	//等级
	int mleve;
	//所需经验
	int mup_exp;
	//同屏怪物数量
	int mmonster_num;
};

class M_game_level_config
{
public:
private:
	static std::auto_ptr<M_game_level_config> msSingleton;
public:
	int GetCount();
	const M_game_level_configData* GetData(int64_t ID);
	const std::map<int64_t, M_game_level_configData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_game_level_config* GetSingleton();
	static void Release();
private:
	std::map<int64_t, M_game_level_configData> mMapData;
};
